/*
Petar 'PetarV' Velickovic
Task: Flojd
*/

#include <stdio.h>
#define MAX_N 5001

int n;

int main()
{
    freopen("flojd.in","r",stdin);
    freopen("flojd.out","w",stdout);
    scanf("%d",&n);
    if (n==1) printf("1\n");
    else if (n<10)
    {
      printf("1\n2\n3\n");
    }
    else printf("-1\n");
    return 0;
}
